Subject: Re: [GCC BUG] -I switch not functioning correctly.
From: Earnie Boyd <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Mon, 13 Dec 1999 08:15:28 -0800 (PST)

--- Mumit Khan <[email-masked]> wrote:
> On Mon, 6 Dec 1999, Earnie Boyd wrote:
> 
> > This bug is present in both the Cygwin V1 CD and gcc-2.95.2.  I found this
> > trying out Mumits JNI examples.
> > 
> > Since I don't know if this is Cygwin specific or not then I haven't
> forwarded
> > this to the gcc-bugs list.
> > 
> > -- Output of make --
> > 
> > gcc  -c -I. -I/install/jdk1.1.8/include -I/install/jdk1.1.8/include/win32
> -g
> >  -Wall -O2 -v  -o invoke.o invoke.c
> 
> Ok, let's see what gcc sees. You're telling it to search directories
> /install/jdk1.1.8/include and /install/jdk1.1.8/include/win32 for
> jdk includes. So far so good.
> 
> > Reading specs from
> > /install/gcc-2.95.2/bin/../lib/gcc-lib/i686-cygwin/2.95.2/spe
> > cs
> [ ... ]
> > GNU CPP version 2.95.2 19991024 (release) (80386, BSD syntax)
> > #include "..." search starts here:
> > #include <...> search starts here:
> >  .
> > 
> /install/gcc-2.95.2/bin/../lib/gcc-lib/i686-cygwin/2.95.2/../../../../include
> > 
> >
>
/install/gcc-2.95.2/bin/../lib/gcc-lib/i686-cygwin/2.95.2/../../../../i686-cygw
> > in/include
> >  /install/gcc-2.95.2/bin/../lib/gcc-lib/i686-cygwin/2.95.2/include
> >  /usr/lib/gcc-lib/i686-cygwin/2.95.2/../../../../include
> >  /usr/lib/gcc-lib/i686-cygwin/2.95.2/../../../../i686-cygwin/include
> >  /usr/include
> 
> Now note the problem here. There are no signs of either of the jdk
> include directories!
> 
> 
> > End of search list.
> > The following default directories have been omitted from the search path:
> >  /usr/lib/gcc-lib/i686-cygwin/2.95.2/../../../../include/g++-3
> 
> Nor are they here, which would be the case normally if the paths were
> inaccessible.
> 
> I really don't have a clue, sorry. Can you do a 
>   
>   $ cat /install/jdk1.1.8/include/<SOME_FILE_NAME>

/install/jdk-1.1.8/include> cat bool.h
/*
 * @(#)bool.h   1.6 98/07/01
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifndef _BOOL_H_
#define _BOOL_H_

#undef  TRUE
#undef  FALSE

typedef enum {
    FALSE = 0,
    TRUE = 1
} bool_t;

#endif /* !_BOOL_H_ */

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]